Bug 56815 - /etc/fstab update failure
Summary: /etc/fstab update failure
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kudzu   
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-28 07:42 UTC by Neil Darlow
Modified: 2014-03-17 02:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-25 06:04:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2001:104 normal SHIPPED_LIVE New tmpwatch package fixes cron warning 2001-08-28 04:00:00 UTC

Description Neil Darlow 2001-11-28 07:42:13 UTC
Description of Problem:
The /etc/fstab update stage of boot fails

Version-Release number of selected component (if applicable):
0.99.23-1

How Reproducible:
Approximately every 1 in 3 boot attempts

Steps to Reproduce:
1. Just boot from power-off
2. 
3. 

Actual Results:
Updating /etc/fstab invalid line in /proc/partitions: '' [FAILED]

Expected Results:
Updating /etc/fstab [  OK  ]

Additional Information:
In /var/log/messages, updfstab: invalid line in /proc/partitions: ''
Disk subsystem is dual-IDE in RAID-1 configuration with ext3 filesystem
/etc/sysconfig/harddisks has following enabled:
EIDE_32BIT=3
EXTRA_PARAMS="-q -k1 -q -X66"

Comment 1 Bill Nottingham 2001-11-28 14:35:24 UTC
Can you attach your /etc/fstab?

Comment 2 Neil Darlow 2001-11-28 15:02:09 UTC
Below. I prettied it up a little i.e. spaces to tabs and fitted each entry 
onto a single line. If it's a parsing error, it should be a little more robust.

LABEL=/         /               ext3    defaults                1 1
LABEL=/home     /home           ext3    defaults                1 2
LABEL=/tmp      /tmp            ext3    defaults                1 2
LABEL=/usr      /usr            ext3    defaults                1 2
LABEL=/var      /var            ext3    defaults                1 2
none            /proc           proc    defaults                0 0
none            /dev/pts        devpts  gid=5,mode=620          0 0
none            /dev/shm        tmpfs   defaults                0 0
/dev/hda2       swap            swap    defaults                0 0
/dev/hdc2       swap            swap    defaults                0 0
/dev/cdrom      /mnt/cdrom      iso9660 noauto,owner,kudzu,ro   0 0
/dev/fd0        /mnt/floppy     auto    noauto,owner,kudzu      0 0



Comment 3 Bill Nottingham 2002-04-08 02:38:59 UTC
Should be fixed in kudzu-0.99.50-1.

Comment 4 Philip Rowlands 2002-12-13 21:20:25 UTC
Still getting this error in Redhat 7.3, kudzu 0.99.52, approx 1 in 10 
bootups.

Dec 13 20:45:05 localhost updfstab: invalid line in /proc/partitions: ' 64' 
Dec 13 20:45:05 localhost kudzu: Updating /etc/fstab failed 
Dec 13 20:45:17 localhost kudzu:  succeeded 

/etc/fstab is:
LABEL=/      /            ext3    defaults        1 1
LABEL=/boot  /boot        ext3    defaults        1 2
none         /dev/pts     devpts  gid=5,mode=620  0 0
none         /proc        proc    defaults        0 0
none         /dev/shm     tmpfs   defaults        0 0
/dev/hda3    swap         swap    defaults        0 0
/dev/fd0     /mnt/floppy  auto    noauto,owner,kudzu 0 0



Note You need to log in before you can comment on or make changes to this bug.